Bug 826054 - os-prober lacks a man page, and -h/--help/-v/--version options
os-prober lacks a man page, and -h/--help/-v/--version options
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: os-prober (Show other bugs)
24
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Hedayat Vatankhah
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-29 09:37 EDT by Need Real Name
Modified: 2017-07-14 15:41 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-07-14 15:41:00 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2012-05-29 09:37:23 EDT
Description of problem:
os-prober does not accept the standard options
-h help
--help help
-v verbose or version
--version version
--usage usage

os-prober is also lacking a man page.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 udo 2012-09-29 09:17:11 EDT
Me too.
Help could explain how to lower the absurd debugging level somewhat.
Comment 2 Hedayat Vatankhah 2012-09-29 16:47:45 EDT
os-prober doesn't have ANY command line or configuration file options. And it is generally useless to users. BTW, any contributions (a man page for each executable) is highly appreciated. Even better, you can send it upstream (or I will). Man pages merely provide a description of the command and its output.
Comment 3 Steve Tyler 2013-07-14 13:56:31 EDT
+1 for proper documentation for os-prober and linux-boot-prober.

While analyzing Bug 973424, I asked the reporter to run os-prober[1], but he wanted more info on it[2], so I had to refer him to the README[3]. The README file has enough info to write a man page:

$ rpm -qd os-prober
/usr/share/doc/os-prober-1.58/README
/usr/share/doc/os-prober-1.58/TODO
/usr/share/doc/os-prober-1.58/changelog
/usr/share/doc/os-prober-1.58/copyright

linux-boot-prober accepts one argument, but there is no help saying so. The command returns no output whatsoever:

$ sudo linux-boot-prober --help

$ rpm -q os-prober
os-prober-1.58-3.fc19.x86_64

[1] Bug 973424, Comment 1.
[2] Bug 973424, Comment 3.
[3] Bug 973424, Comment 4.
Comment 4 Steve Tyler 2013-07-14 14:10:38 EDT
(In reply to Steve Tyler from comment #3)
> +1 for proper documentation for os-prober and linux-boot-prober.
...
> linux-boot-prober accepts one argument, but there is no help saying so. The
> command returns no output whatsoever:
> 
> $ sudo linux-boot-prober --help
...

If you do not pass any arguments, linux-boot-prober returns the usage:

$ sudo linux-boot-prober
usage: linux-boot-prober partition
       linux-boot-prober btrfs UUID=<> subvol=<>

In general, running an unfamiliar command as root is not safe, so experienced users prefer to try the "--help" option first:

$ linux-boot-prober --help
unshare failed: Operation not permitted
mkdir: cannot create directory ‘/var/lib/os-prober/mount’: Permission denied

$ os-prober --help
unshare failed: Operation not permitted
rm: cannot remove ‘/var/lib/os-prober/labels’: Permission denied
Comment 5 Fedora End Of Life 2013-12-21 03:37:06 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 udo 2013-12-21 07:26:30 EST
So?
Comment 7 Fedora End Of Life 2015-01-09 12:10:18 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 8 Hedayat Vatankhah 2015-01-09 12:30:19 EST
As I said earlier, any contribution is welcome. I also might be able to answer questions about os-prober usage and behavior. Even if I don't know the answer, I might be able to find it. But I have some more important os-prober related things on my os-prober TODO list; and it is unlikely that I'll create a man page for os-prober/linux-boot-prober anytime soon.
Comment 9 udo 2015-01-09 12:41:53 EST
# linux-boot-prober --help
# os-prober --help
ERROR: sil: invalid metadata checksum in area 4 on /dev/dm-4
ERROR: sil: invalid metadata checksum in area 4 on /dev/dm-4
ERROR: sil: invalid metadata checksum in area 4 on /dev/dm-4
# 

'important'...
Comment 10 Hedayat Vatankhah 2015-01-09 12:54:45 EST
1. Yeah, but these are not expected to be run manually at all (users should normally use grub2-mkconfig). Also, these are mainly upstream bugs which could be filled upstream. (but yes, they are not that responsive :P)
2. Run both of them without any parameters. This is actually the only way os-prober should be run. linux-boot-prober will print its usage. 
3. It's needed, but not necessarily more important than other tasks. 
4. This bug is open, so I'll (hopefully) get to it finally if nobody contributes a man page or -h/--help implementation. But it won't be soon.
Comment 11 Jan Kurik 2015-07-15 11:08:11 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 23 development cycle.
Changing version to '23'.

(As we did not run this process for some time, it could affect also pre-Fedora 23 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 23 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora23
Comment 12 Fedora End Of Life 2016-11-24 05:40:00 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 13 Need Real Name 2017-07-14 15:41:00 EDT
Closing bug due to lack of interest from Red Hat.

Note You need to log in before you can comment on or make changes to this bug.